/* implements cdrom drives as source for track streams */

#ifndef CDSOURCE_H
#define CDSOURCE_H

#include <gtk/gtk.h>

#include "selectlist.h"
#include "tracks.h"
#include "cddrives.h"

typedef struct 
{
	cddrives_cdinfo *driveinfo;
	GtkWidget *widget;          /* trackdisplay widget,NULL if not displayed */
	selectlist_info *listinfo;  /* this is for handling the (visible) tracklist */
} cdsource_cdinfo;


cdsource_cdinfo *cdsource_cdinfo_create(cddrives_cdinfo*);
GtkTree *cdsource_cdtree(GtkSignalFunc selectcd,
			 GtkSignalFunc unselectcd);
void cdsource_tracklist_create(cdsource_cdinfo*);
void cdsource_tracklist_destroy(cdsource_cdinfo*);
		
#endif // CDSOURCE_H
