
#include <gtk/gtk.h>

#include "main.h"
#include "dndsetup.h"
#include "selectlist.h"
#include "internal.h"
#include "tracks.h"
#include "streams.h"
#include "isotrack.h"
#include "preferences.h"

tracks_trackinfo *iso;

internal_info *internal_create()
{
	internal_info *ii;
	GtkWidget *column;
	char *intern[2];
	char sizebuf[20];
	
	ii=(internal_info*)malloc(sizeof(internal_info));	
	ii->widget=gtk_scrolled_window_new(NULL,NULL);
	gtk_scrolled_window_set_policy(GTK_SCROLLED_WINDOW(ii->widget),
				       GTK_POLICY_AUTOMATIC,
				       GTK_POLICY_AUTOMATIC);
	
	ii->selectlistinfo=selectlist_info_create("stream:",
						  0,
						  NULL,
						  1,
						  0,
						  NULL,
						  NULL,
						  NULL);
	column=selectlist_create(ii->selectlistinfo,
				 2); // create 2 columns
	gtk_clist_set_selection_mode(GTK_CLIST(column),GTK_SELECTION_EXTENDED);
	gtk_clist_set_column_justification(GTK_CLIST(column),
					   0,
					   GTK_JUSTIFY_LEFT);
	gtk_clist_set_column_width(GTK_CLIST(column),0,196);
	gtk_clist_set_column_justification(GTK_CLIST(column),
					   1,
					   GTK_JUSTIFY_RIGHT);
	gtk_clist_set_column_width(GTK_CLIST(column),1,96);


	intern[0]=(char*)&iso->name;
	sprintf((char*)&sizebuf,"%d",tracks_tracksize(iso));
 	intern[1]=(char*)&sizebuf;
	
	
	gtk_clist_append(GTK_CLIST(column),intern);
		
	gtk_widget_show(column);
	gtk_scrolled_window_add_with_viewport (GTK_SCROLLED_WINDOW(ii->widget),column);
	
	return ii;
}
;
		  

void internal_destroy(internal_info *ii)
{
	gtk_widget_destroy(ii->widget);
	free(ii->selectlistinfo);
	free(ii);
}
;

void internal_init()
{
	iso=isotrack_create();
	streams_register(iso);
}
;
	
