/* The menubar */

#include <gtk/gtk.h>

#include "main.h"
#include "menubar.h"
#include "menufunc.h"

GtkWidget *menubar_filemenu_create()
{
	GtkWidget *m;
	
	GtkWidget *quit;
		
	m=gtk_menu_new();
	quit=gtk_menu_item_new_with_label("Quit");
	gtk_signal_connect_object(GTK_OBJECT(quit),"activate",
				  GTK_SIGNAL_FUNC(menufunc_quit),NULL);
	gtk_menu_append(GTK_MENU(m),quit);
	gtk_widget_show(quit);
	return m;
}
;

GtkWidget *menubar_editmenu_create()
{
	GtkWidget *m;
	
	GtkWidget *prefs;
		
	m=gtk_menu_new();
	prefs=gtk_menu_item_new_with_label("Preferences");
	gtk_signal_connect_object(GTK_OBJECT(prefs),"activate",
				  GTK_SIGNAL_FUNC(menufunc_preferences),NULL);
	gtk_menu_append(GTK_MENU(m),prefs);
	gtk_widget_show(prefs);
	return m;
}
;

	
GtkWidget *menubar_create()
{
	GtkWidget *filemenu;
	GtkWidget *editmenu;
	
	GtkWidget *menubar;

	menubar=gtk_menu_bar_new();
	
	filemenu=gtk_menu_item_new_with_label("File");
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(filemenu),menubar_filemenu_create());
	gtk_menu_bar_append(GTK_MENU_BAR(menubar),filemenu);
	gtk_widget_show(filemenu);			

	editmenu=gtk_menu_item_new_with_label("Edit");
	gtk_menu_item_set_submenu(GTK_MENU_ITEM(editmenu),menubar_editmenu_create());
	gtk_menu_bar_append(GTK_MENU_BAR(menubar),editmenu);
	gtk_widget_show(editmenu);

	return menubar;
}
;
	
